Q-edit - Installation Requirements and Instructions

Installation Instructions

 

Instructions for all users (Linux, Mac OS X and Windows):

Users have to have installed some Java Runtime Environment and Virtual Machine on their operating systems. Until now we have tested Q-edit with Sun Java  version 1.6.0.22 and 1.6.0.24. Normally users should not encounter any problems trying to run Q-edit on any other Sun JVMs of newer version or other JVMs.

Users that need to access protected resource in OpenTox (read the article posted at http://opentox.ntua.gr/index.php/blog/5-authentication on Access Control management in OpenTox) should install the SSL certificate for opensso.in-silico.ch on their machines. You will definitely find the information provided here useful.

You will find the latest version of Q-edit at.http://opentox.ntua.gr/files/Q-edit.jar. Download it and run it locally.

Next: Features - Read what you can do with Q-edit.

 

Special instructions for Linux users:

On Linux machines using the terminal, use the command "java -jar ./Q-edit.jar". It is possible that Linux users (and in particular on Ubuntu as it has been observed) need first to modify the permissions of the downloaded file to render it executable. In this case, the following warning message will pop up:

In this case right click on the Q-edit.jar file and choose "Properties", once opened go to the "Permissions" tab and check "allow executing file as program":

Linux users may use the following commands to download and run Q-edit :

wget http://opentox.ntua.gr/files/Q-edit.jar
chmod +x ./Q-edit.jar
java -jar Q-edit.jar

 

Next: Features - Read what you can do with Q-edit.